/* info-detail-page.css */
.info-detail-article {
  display: flex;
  flex-direction: column;
  gap: var(--spacing-gap-xl);
}

.info-detail-article-container {
  display: grid;
  grid-template-columns: 1fr;
  gap: var(--spacing-gap-xl);
  width: 100%;
  max-width: calc(1120px + 48px);
  padding: 80px 24px; /* TODO:変数定義 */
  margin: 0 auto;
}

@media all and (max-width: 1119.98px) {
  .info-detail-article-container {
    max-width: 100%;
    padding: 56px 16px; /* TODO:変数定義 */
  }
}

.info-detail-article-container > * {
  min-width: 0; /* NOTE: Grid の子要素を親からはみ出さないように */
}

.info-detail-article-container .article-header {
  display: flex;
  flex-direction: column;
  gap: var(--spacing-gap-sm);
}

.info-detail-article-container .article-body {
  display: flex;
  flex-direction: column;
  gap: var(--spacing-gap-md);
}

.info-detail-article-container .article-meta {
  display: flex;
  gap: var(--spacing-gap-sm);
}

.info-detail-article-container .article-time {
  display: inline-flex;
  flex-shrink: 0;
  align-items: center;
  justify-content: flex-start;
  height: 30px;
}

@media all and (max-width: 1119.98px) {
  .info-detail-article-container .article-time {
    height: 24px;
  }
}

.info-detail-article-container .article-category {
  flex-shrink: 0;
  justify-self: flex-start;
  min-width: 120px;
  padding: 0.5em 1em;
  font-size: 14px;
  line-height: 1;
  color: #217ece;
  text-align: center;
  background: #ebf7ff;
  border-radius: var(--radius-full);
}

.info-detail-article-container hr {
  border-color: var(--border-color-gray);
}

.info-detail-article-container ul {
  padding-left: 1.5em;
  list-style-type: disc;
}

.info-detail-article-container ol {
  padding-left: 1.5em;
  list-style-type: decimal;
}

.info-detail-article-container a {
  display: inline-flex;
  align-items: center;
  font-weight: var(--bold);
  color: var(--color-primary-900);
  text-decoration: underline;
  text-underline-offset: 0.25em;
}

.info-detail-article-container a[target="_blank"]::after {
  display: inline-flex;
  width: 1em;
  height: 1em;
  margin-top: 0.125em;
  margin-right: 0.125em;
  content: "";
  background-image: url("/images/icons/icon-external-link.svg");
  background-repeat: no-repeat;
  background-size: cover;
}

.info-detail-article-container h2 {
  /* style */
  font-size: var(--heading-font-size-h2);
}

.info-detail-article-container h3 {
  /* style */
  font-size: var(--heading-font-size-h3);
}

.info-detail-article-container h4 {
  /* style */
}

.info-detail-article-container h5 {
  /* style */
}

.info-detail-article-container .home-info-more {
  display: flex;
  justify-content: center;
  padding: 0;
}

.info-detail-article-container .home-info-more a {
  text-decoration: none;
}
